Get a sweep config | Moov Documentation
Get a sweep config
Get a sweep config associated with a wallet.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/sweep-configs/{sweepConfigID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/sweep-configs/{sweepConfigID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var sweepConfigID string
mc.GetSweepConfig(ctx, accountID, sweepConfigID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.getConfig({
accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->sweeps->getConfig(
accountID: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad',
sweepConfigID: 'bfddff28-5291-4d9b-a0f8-22a0895e8486'
);
if ($response->sweepConfig !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSweepConfigResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetSweepConfigResponse res = sdk.sweeps().getConfig()
.accountID("ae1c2e76-3195-4fc8-b922-b7af6dcf1aad")
.sweepConfigID("bfddff28-5291-4d9b-a0f8-22a0895e8486")
.call();
if (res.sweepConfig().isPresent()) {
System.out.println(res.sweepConfig().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.get_config(account_id="ae1c2e76-3195-4fc8-b922-b7af6dcf1aad", sweep_config_id="bfddff28-5291-4d9b-a0f8-22a0895e8486")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.sweeps.get_config(account_id: 'ae1c2e76-3195-4fc8-b922-b7af6dcf1aad', sweep_config_id: 'bfddff28-5291-4d9b-a0f8-22a0895e8486')
unless res.sweep_config.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Sweeps.GetConfigAsync(
accountID: "ae1c2e76-3195-4fc8-b922-b7af6dcf1aad",
sweepConfigID: "bfddff28-5291-4d9b-a0f8-22a0895e8486"
);
// handle response
The request completed successfully.
Example
{
"sweepConfigID": "string",
"walletID": "string",
"status": "enabled",
"pushPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"pullPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"minimumBalance": "string",
"statementDescriptor": "string",
"lockedFields": [
"string"
],
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}
Response headers
A unique identifier used to trace requests.